Package org.astrogrid.samp.web

# Class AuthResourceBundle

java.lang.Object
java.util.ResourceBundle
org.astrogrid.samp.web.AuthResourceBundle

Direct Known Subclasses:
  `AuthResourceBundle_de`, `AuthResourceBundle_en`, `AuthResourceBundle_fr`, `AuthResourceBundle_it`

public class AuthResourceBundle extends ResourceBundle
ResourceBundle for internationalising the Web Profile authorization dialogue.

Since:
  15 Jul 2011
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AuthResourceBundle.Content`
Defines the keys and value types required for a bundle of this class.

## Nested classes/interfaces inherited from class java.util.ResourceBundle

`ResourceBundle.Control`

## Field Summary

### Fields inherited from class java.util.ResourceBundle

`parent`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`AuthResourceBundle()`
Constructs default (English) instance.
`protected`
`AuthResourceBundle(AuthResourceBundle.Content content)`
Constructs a bundle based on a Content implementation.

## Method Summary

Modifier and Type
Method
Description
`static AuthResourceBundle.Content`
`getAuthContent(ResourceBundle bundle)`
Returns a Content object based on a bundle which has the keys that AuthResourceBundle is supposed to have.
`final Enumeration`
`getKeys()`
`protected final Object`
`handleGetObject(String key)`
`static void`
`main(String[] args)`
Writes a template .properties file.

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthResourceBundle

public AuthResourceBundle()
Constructs default (English) instance.

### AuthResourceBundle

protected AuthResourceBundle(AuthResourceBundle.Content content)
Constructs a bundle based on a Content implementation.

Parameters:
  `content` - contains information required for bundle

## Method Details

### handleGetObject

protected final Object handleGetObject(String key)

Specified by:
  `handleGetObject` in class `ResourceBundle`

### getKeys

public final Enumeration getKeys()

Specified by:
  `getKeys` in class `ResourceBundle`

### getAuthContent

public static AuthResourceBundle.Content getAuthContent(ResourceBundle bundle)
Returns a Content object based on a bundle which has the keys that AuthResourceBundle is supposed to have. If any of the required keys are missing, the result falls back to a default bundle.

Parameters:
  `bundle` - resource bundle
Returns:
  content object guaranteed to have non-null contents for all its attributes

### main

public static void main(String[] args)
Writes a template .properties file. Sensitive to the locale.